
Extended Fields - Bug #2133

Rendering HTML for email

11 Dec 2012 12:44 - Andriy Lesyuk

Status: Closed Start date: 11 Dec 2012

Priority: Normal Due date: 27 Jan 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version:  External issue:  

Description

Right now custom fields are always generated as plain text for ActionMailer templates, i.e., email...

To determine the target format for ActionView, i.e., web views, I use request.template_format. But no request is available for Mailer

templates! Therefore, rendering falls back to the default format, which is plain text.

I really need an idea, how can I determine the target format (e.g., content type) from within a Mailer’s view. I tried to search for a hint

but failed... 

Related issues:

Related to Extended Fields - Bug #2140: Custom field templates do not work un... Closed 22 Jan 2013 27 Jan 2013

Associated revisions

Revision 82 - 27 Jan 2013 14:08 - Andriy Lesyuk

Applied fix for #2140 and #2133

History

#1 - 27 Jan 2013 14:14 - Andriy Lesyuk

- Due date set to 27 Jan 2013

- Status changed from Incomplete to Closed

- Target version set to 0.2.1

- % Done changed from 0 to 100
